CURSES_PRINT(3) | NetBSD Library Functions Manual | CURSES_PRINT(3)

# NAME

curses_print, printw, wprintw, mvprintw, mvwprintw, unctrl — curses print formatted strings on windows routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

#include <curses.h>

int
printw(const char *fmt, ...);

int
wprintw(WINDOW *win, const char *fmt, ...);

int
mvprintw(int y, int x, const char *fmt, ...);

int
mvwprintw(WINDOW *win, int y, int x, const char *fmt, ...);

char *
unctrl(chtype ch);

# DESCRIPTION

These functions print formatted strings on stdscr or on the specified window.

The printw() function formats and prints its arguments on stdscr. The behavior is deliberately similar to that of printf(3), but, notably, the return value differs.

The wprintw() function is the same as the printw() function, excepting that the resulting output is printed on the window specified by win.

The mvprintw() and mvwprintw() functions are the same as the printw() and wprintw() functions, respectively, excepting that wmove() is called to move the cursor to the position specified by y, x before the output is printed on the window.

The unctrl() function returns a printable string representation of the character ch. If ch is a control character then it will be converted to the form ^Y.

# RETURN VALUES

Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK
  The function completed successfully.
ERR
  An error occurred in the function.

# SEE ALSO

curses_cursor(3), curses_scanw(3), printf(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

April 6, 2011 | NetBSD 5.99